Partially Modify a NAT Gateway Rule by ID
Updates the properties of the specified NAT Gateway rule.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The unique ID of the data center.
The unique ID of the NAT Gateway.
The unique ID of the NAT Gateway rule.
Controls whether the response is pretty-printed (with indentations and new lines).
trueControls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
0Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
The name of the NAT Gateway rule.
My NAT Gateway ruleSource subnet of the NAT Gateway rule. For SNAT rules it specifies which packets this translation rule applies to based on the packets source IP address.
10.0.1.0/24Public IP address of the NAT Gateway rule. Specifies the address used for masking outgoing packets source address field. Should be one of the customer reserved IP address already configured on the NAT Gateway resource
192.18.7.17Target or destination subnet of the NAT Gateway rule. For SNAT rules it specifies which packets this translation rule applies to based on the packets destination IP address. If none is provided, rule will match any address.
10.0.1.0/24Successful operation
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
PATCH /cloudapi/v6/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: */*
Accept: */*
Content-Length: 190
{
"name": "My NAT Gateway rule",
"type": "SNAT",
"protocol": "TCP",
"sourceSubnet": "10.0.1.0/24",
"publicIp": "192.18.7.17",
"targetSubnet": "10.0.1.0/24",
"targetPortRange": {
"start": 10000,
"end": 20000
}
}{
"id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
"type": "natgateway-rule",
"href": "<RESOURCE-URI>",
"metadata": {
"etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
"createdDate": "2015-12-04T14:34:09.809Z",
"createdBy": "user@example.com",
"createdByUserId": "user@example.com",
"lastModifiedDate": "2015-12-04T14:34:09.809Z",
"lastModifiedBy": "user@example.com",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"state": "AVAILABLE"
},
"properties": {
"name": "My NAT Gateway rule",
"type": "SNAT",
"protocol": "TCP",
"sourceSubnet": "10.0.1.0/24",
"publicIp": "192.18.7.17",
"targetSubnet": "10.0.1.0/24",
"targetPortRange": {
"start": 10000,
"end": 20000
}
}
}Last updated
Was this helpful?